<?php

namespace App\Http\Controllers\Transactions;

use App\Classes\Modules\Transactions\ControllersLogic\ApprovePaymentTransactionLogic;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class ApprovePaymentTransactionController
{

    public function approve(Request $request, ApprovePaymentTransactionLogic $logic): JsonResponse {
        return $logic->execute($request);
    }
}